## Update a Web Analytics site `client.rum.siteInfo.update(stringsiteId, SiteInfoUpdateParamsparams, RequestOptionsoptions?): Site` **put** `/accounts/{account_id}/rum/site_info/{site_id}` Updates an existing Web Analytics site. ### Parameters - `siteId: string` Identifier. - `params: SiteInfoUpdateParams` - `account_id: string` Path param: Identifier. - `auto_install?: boolean` Body param: If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `enabled?: boolean` Body param: Enables or disables RUM. This option can be used only when auto_install is set to true. - `host?: string` Body param: The hostname to use for gray-clouded sites. - `lite?: boolean` Body param: If enabled, the JavaScript snippet will not be injected for visitors from the EU. - `zone_tag?: string` Body param: The zone identifier. ### Returns - `Site` - `auto_install?: boolean` If enabled, the JavaScript snippet is automatically injected for orange-clouded sites. - `created?: string` - `rules?: Array` A list of rules. - `id?: string` The Web Analytics rule identifier. - `created?: string` - `host?: string` The hostname the rule will be applied to. - `inclusive?: boolean` Whether the rule includes or excludes traffic from being measured. - `is_paused?: boolean` Whether the rule is paused or not. - `paths?: Array` The paths the rule will be applied to. - `priority?: number` - `ruleset?: Ruleset` - `id?: string` The Web Analytics ruleset identifier. - `enabled?: boolean` Whether the ruleset is enabled. - `zone_name?: string` - `zone_tag?: string` The zone identifier. - `site_tag?: string` The Web Analytics site identifier. - `site_token?: string` The Web Analytics site token. - `snippet?: string` Encoded JavaScript snippet. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const site = await client.rum.siteInfo.update('023e105f4ecef8ad9ca31a8372d0c353', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(site.auto_install); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "auto_install": true, "created": "2014-01-01T05:20:00.12345Z", "rules": [ { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "created": "2014-01-01T05:20:00.12345Z", "host": "example.com", "inclusive": true, "is_paused": false, "paths": [ "*" ], "priority": 1000 } ], "ruleset": { "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "enabled": true, "zone_name": "example.com", "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353" }, "site_tag": "023e105f4ecef8ad9ca31a8372d0c353", "site_token": "023e105f4ecef8ad9ca31a8372d0c353", "snippet": "" } } ```